<?xml version="1.0" encoding="UTF-8"?>
<interface>
    <template class="CardDisplay" parent="GtkWidget">
        <child>
            <object class="GtkImage" id="image">
                <property name="halign">GTK_ALIGN_CENTER</property>
                <property name="valign">GTK_ALIGN_CENTER</property>
                <property name="vexpand-set">true</property>
                <property name="vexpand">true</property>
                <property name="hexpand-set">true</property>
                <property name="hexpand">true</property>
                <property name="width-request">512</property>
                <property name="height-request">512</property>
            </object>
        </child>
        <child>
            <object class="GtkLabel" id="error_message">
                <property name="visible">false</property>
                <property name="label">No card image found in database. If you think this is an error, please, create an issue.</property>
            </object>
        </child>
        <child>
            <object class="GtkLabel" id="incorrect_message">
                <property name="visible">false</property>
            </object>
        </child>
        <child>
            <object class="GtkEntry" id="answer_entry">
                <property name="halign">GTK_ALIGN_CENTER</property>
                <property name="valign">GTK_ALIGN_START</property>
                <property name="placeholder-text">Type kana that image means</property>
            </object>
        </child>
    </template>
</interface>